Remove Royalties
curl --request DELETE \
--url https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/royalties \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/royalties"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/v1-alpha1/minting/collections/{collectionId}/royalties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": true,
"message": "Invalid arguments or empty parameter <missing parameter>."
}{
"error": true,
"message": "Malformed API key. / API key provided doesn't have required scopes."
}{
"error": true,
"message": "Not found"
}{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}NFT Collections
Remove Royalties
Remove all royalties from a given collection. No new NFT sales will yield royalties to the creator.
This API is only supported on EVM Chains.
API scope required: collections.update
DELETE
/
v1-alpha1
/
minting
/
collections
/
{collectionId}
/
royalties
Remove Royalties
This is an alpha API and subject to change.
Authorizations
Obtained in the Crossmint developer console
Path Parameters
This is the identifier for the collection related to the request. Every project has default collections: default-solana and default-polygon.
The create-collection API will result in collections with UUID formatted collectionId.
Example: 9c82ef99-617f-497d-9abb-fd355291681b
The create-collection-idempotent API allows you to specify an arbitrary identifier during the intitial request.
Example: your-custom-identifer
Response
No-content success response indicating that the request is being processed.
Was this page helpful?

